Index: trunk/MESOSCALE_DEV/MPI/install_gfortran_old
===================================================================
--- trunk/MESOSCALE_DEV/MPI/install_gfortran_old	(revision 341)
+++ trunk/MESOSCALE_DEV/MPI/install_gfortran_old	(revision 341)
@@ -0,0 +1,6 @@
+#! /bin/bash
+
+make clean
+export F90=gfortran
+./configure --prefix=$PWD  --with-device=ch3:nemesis
+make
Index: trunk/MESOSCALE_DEV/MPI/install_pgfortran
===================================================================
--- trunk/MESOSCALE_DEV/MPI/install_pgfortran	(revision 341)
+++ trunk/MESOSCALE_DEV/MPI/install_pgfortran	(revision 341)
@@ -0,0 +1,28 @@
+#! /bin/bash
+
+name=pgfortran_mpich2-1.3.1_nofast_nemesis
+
+###########################
+
+wget http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/1.3.1/mpich2-1.3.1.tar.gz
+tar xzvf mpich2-1.3.1.tar.gz
+\rm mpich2-1.3.1.tar.gz
+
+export CC=pgcc 
+export FC=pgfortran 
+export F77=pgfortran 
+export CXX=pgcpp 
+export CFLAGS= #-fast 
+export FCFLAGS= #-fast 
+export FFLAGS= #-fast 
+export CXXFLAGS= #-fast 
+
+ici=$PWD/$name
+cd mpich2-1.3.1
+./configure --prefix=$ici --with-device=ch3:nemesis
+make
+make install
+cd ..
+\rm -rf mpich2-1.3.1
+
+
Index: trunk/MESOSCALE_DEV/MPI/notes.mpi
===================================================================
--- trunk/MESOSCALE_DEV/MPI/notes.mpi	(revision 341)
+++ trunk/MESOSCALE_DEV/MPI/notes.mpi	(revision 341)
@@ -0,0 +1,79 @@
+
+pour le debug
+pour le 1
+mpirun -machinefile ./machinefile -np 4 wrf.exe < /dev/null &
+et utiliser le script
+pour le 2
+pgdbg -mpi:/donnees/aslmd/MPI/mpich2-1.3.1_normal/bin/mpirun -np 4 wrf.exe
+
+
+mpich2-1.3.1 avec pgf 2011
+---------------------------
+la source est la
+http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/1.3.1/mpich2-1.3.1.tar.gz
+la methode est expliquee la
+http://www.pgroup.com/resources/mpich/mpich2_131_pgi2011.htm
+
+semble fonctionner
+attention mpd n'existe plus, il faut preciser -hosts sur mpirun [plus pratique finalement ?]
+OK mpirun direct et ca marche sur une machine
+
+il faudrait compiler
+- avec fastsse
+- avec --with-device=ch3:nemesis comme avant
+
+ou alors
+--disable-fast --enable-g=dbg
+
+
+
+mpich2-1.4.1p1 avec pgf 2011
+----------------------------
+http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/1.4.1p1/mpich2-1.4.1p1.tar.gz
+./configure --prefix=$PWD  --with-device=ch3:nemesis
+make 
+
+OK mais pas mpd mpboot etc... !!!
+
+
+mpich2-1.2.1p1
+-------------------------
+
+http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/1.2.1p1/mpich2-1.2.1p1.tar.gz
+
+./configure --prefix=$PWD  --with-device=ch3:nemesis
+--> OK avec pgf90 v7
+
+test avec gfortran
+voir script install_gfortran
+parait avoir compile...
+--------------
+pb rencontre
+--------------
+You have another version of autoconf.  It may work, but is not guaranteed to.
+If you have problems, you may need to regenerate the build system entirely.
+To do so, use the procedure documented by the package, typically `autoreconf'.
+configure.in:1: error: Autoconf version 2.63 or higher is required
+configure.in:1: the top level
+autom4te: /usr/bin/m4 failed with exit status: 63
+WARNING: `autoconf' is probably too old.  You should only need it if
+         you modified `configure.in'.  You might want to install the
+         `Autoconf' and `GNU m4' packages.  Grab them from any GNU
+         archive site.
+
+
+mpich2-1.0.8
+------------
+
+http://www.mcs.anl.gov/research/projects/mpich2/downloads/tarballs/1.0.8/mpich2-1.0.8.tar.gz
+
+./configure --prefix=$PWD  --with-device=ch3:nemesis
+make
+
+PS: no make install, possible problems with Python version
+better to define a WHERE_MPI environment variable
+
+
+TEST TEST TEST TEST
+--enable-sharedlibs=gcc
+./configure --prefix=$PWD --enable-sharedlibs=gcc --with-device=ch3:nemesis --enable-fast
Index: trunk/MESOSCALE_DEV/NETCDF/pgfortran_64
===================================================================
--- trunk/MESOSCALE_DEV/NETCDF/pgfortran_64	(revision 341)
+++ trunk/MESOSCALE_DEV/NETCDF/pgfortran_64	(revision 341)
@@ -0,0 +1,59 @@
+#! /bin/bash
+
+ze_netcdf=netcdf-4.0.1
+#ze_netcdf=netcdf-3.6.1
+
+wget ftp://ftp.unidata.ucar.edu/pub/netcdf/$ze_netcdf.tar.gz
+tar xzvf $ze_netcdf.tar.gz
+\rm $ze_netcdf.tar.gz
+
+######### SIMPLE
+#export CC=pgcc
+#export CXX=pgcpp
+#export FC=pgfortran
+#export F90=pgfortran
+#export LD=pgfortran
+#export CPPFLAGS="-DpgiFortran"
+
+######## WITH OPTIONS
+#export CPPFLAGS="-DNDEBUG -DpgiFortran"
+#export CC=pgcc
+#export CFLAGS="-O2 -Msignextend -Mipa -Munroll -Mcache_align"
+#export CXX=pgCC
+#export CXXFLAGS="-O2 -Msignextend -Mipa -Munroll -Mcache_align"
+#export FC=pgf90
+#export FFLAGS="-O2 -Mipa -Munroll -Mcache_align"
+
+######## TEST NETCDF 3
+#export CPPFLAGS="-DNDEBUG -DpgiFortran"
+#export CC=pgcc
+#export CXX=pgCC
+#export FC=pgf90
+#export F90=pgf90
+#export CFLAGS="-O2 -Msignextend -fpic -Mlarge_arrays"
+#export CXXFLAGS="-fpic -Mlarge_arrays"
+#export FFLAGS="-O2 -w  -fpic -Mlarge_arrays"
+#export F90FLAGS="-O2 -w -fpic -Mlarge_arrays"
+
+############# AVEC -fast
+export CPPFLAGS="-DNDEBUG -DpgiFortran"
+export CC=pgcc
+export CFLAGS="-fast"
+export CXX=pgCC
+export CXXFLAGS="-fast"
+export FC=pgf90
+export FFLAGS="-fast"
+
+
+cd $ze_netcdf
+PREFIX=$PWD
+if [[ "$ze_netcdf" == "netcdf-3.6.1" ]]
+then
+      cd src
+fi
+
+./configure --prefix=${PREFIX} --disable-cxx
+make
+make test
+make install
+
Index: trunk/MESOSCALE_DEV/NETCDF/pgfortran_64_note.txt
===================================================================
--- trunk/MESOSCALE_DEV/NETCDF/pgfortran_64_note.txt	(revision 341)
+++ trunk/MESOSCALE_DEV/NETCDF/pgfortran_64_note.txt	(revision 341)
@@ -0,0 +1,13 @@
+Linux, Portland Group version 6 compilers
+
+For netCDF version 3.6.1, Jason Elsom reports that he needed to use -mcmodel=medium flags when compiling a netCDF client program with pgf90 for a 64-bit target platform using version 6 PGI compilers, in order to access more than 2 GB of memory. In addition, he compiled the netCDF library with -fpic -Mlarge_arrays "to avoid an inconsistent addressing problem". Here are the specific environment variables he used to build the netCDF libraries:
+
+CC		= pgcc
+CXX		= pgCC
+FC		= pgf90
+F90		= pgf90
+CFLAGS		= -O2 -Msignextend -fpic -Mlarge_arrays
+CXXFLAGS	= -fpic -Mlarge_arrays
+FFLAGS		= -O2 -w  -fpic -Mlarge_arrays
+F90FLAGS	= -O2 -w -fpic -Mlarge_arrays
+
Index: trunk/MESOSCALE_DEV/NOTES.txt
===================================================================
--- trunk/MESOSCALE_DEV/NOTES.txt	(revision 335)
+++ trunk/MESOSCALE_DEV/NOTES.txt	(revision 341)
@@ -10,4 +10,98 @@
   .... avec fastsse partout (mm MPI), crash ds la sortie 2
   .... option de base SVN avec mpich sans fast, marche pas non plus crashe entre 9 et 10
+  .... iradia=1 ne change rien, toujours le probleme
+  .... la simulation tourne lorsqu'on fait callrad = F
+  .... test avec Mbounds ne renvoie aucuune erreur
+  .... test avec juste -Ktrap=fp et rien d'autre renvoie aucune erreur
+  .... semble OK avec iaervar=1, probleme dans meso_dustopacity ??? ou avec la lecture NETCDF ???
+  .... crashe direct avec WHERE_MPI=/donnees/aslmd/MPI/mpich2-1.3.1_normal/bin
+  .... alors que ca passe nickel avec iaervar=1
+  .... crashe direct avec mes librairies netcdf3.6.1 compilees avec le dernier pgf2011
+  .... ne crashe pas direct avec mes librairies netcdf4.0.1 compilees avec le
+         dernier pgf2011 et les options utilisees dans le modele ajoutees aux options
+         dans la librairie compilee dans /distrib/local
+       mais crashe entre la sortie 9 et 10 comme les autres !!!!
+  .... marche bien aussi avec iaervar=3... probleme de lecture netcdf ???
+  .... experience: on a iaervar=4 mais juste apres readtesassim
+       on regle tauref a 0.3 et ca passe. donc ce n est pas un bug structurel.
+       les valeurs lues ne sont probablement les bonnes soit par probleme
+       dans le fichier soit par probleme structurel dans readtesassim
+  .... pourtant en affichant les valeurs on ne voit pas de pb particulier !
+  .... en changeant le nom hfx en sensheat et en enlevant z0 qui pose un pb
+       avec l'ancienne physique, ca ne marche toujours pas.
+  .... crash: semble stocker les variables qui sortent de la physique OK
+       mais le reste, par exemple tsurf, est NaN c'est bizarre
+  .... avec ndomainsz=ngridmx le modele va plus loin et crashe le second jour
+       a la sortie 2
+  .... mm comportement sur ulrich que sur penn
+  .... avec mcmodel crashe tout de suite
+  .... idem en invalidant les options d optimisation dans WRF et LMD phys [non en fait il faut enlever dans MPI]
+  .... test avec netcdf3: marche pas. mais ne faut-il pas enlever toutes les options?
+  .... avec aucune option d'optimisation et netcdf3: Nan avant la sortie 2
+  .... avec aucune option d'optimisation et netcdf4: va plus loin mais NaN entre 9 et 10
+  .... options d'optimisation en -O3 toujours le mm probleme
+  .... toujours le mm probleme mm avec ulimit -s unlimited
+
+  .... test qui donne des sortie 2 des NaN en recompilant avec -fast partout
+       avec mpirun -np 1, aucun souci tout va bien
+       avec mpirun -np 8, souci egalement des la sortie 2
+       ... visiblement un souci avec readtesassim ???
+       .... MAIS NON CAR SOUCI AUSSI AVEC iaervar=1 avec 8 procs
+       .... ALORS QUE PAS DE SOUCI AVEC iaervar=1 avec 4 procs
+export NETCDF=/donnees/aslmd/MODELES/MESOSCALE_DEV/NETCDF/pgfortran_64_netcdf-4.0.1_fast
+export WHERE_MPI=/donnees/aslmd/MPI/pgfortran_mpich2-1.3.1/bin
+  .... corrections readtesassim ne semblent rien changer...
+  .... sorties frequentes permettent de voir que le probleme est localisee
+       mais rempli tres vite le domaine
+       avec dt=40s probleme apparait au bout de 700s
+       avec dt=10s probleme apparait au bout de 300s
+       avec dt=100s problemen apparait au bout de 1200s
+       ... visiblement le probleme apparait aux jointures des domaines ?
+       ... probleme sur le vitesse verticale calculee ???
+       ... visiblement non puisque mm comportement avec non_hydrostatic ou W est normal
+       ... apparemment il s'agit vraiment d'une instabilite numerique
+       ... mettre les tendances R..BLEN a 0 ne change rien...
+       ... changer dimradmars n'arrange pas en fait lorsquon met des sorties frequentes
+       ... bizarre un des 4 processes wrf.exe passe en D quelques fois ????
+... ne marche pas avec les options de compilation de WRF3 !!!
+     (mais domain met moins de temps a compiler)
+... toujours le mm probleme en acces local disque
+
+TEST AVEC DEBUG
+  .... s'arrete au beau milieu d integrations sans sortir de message d'erreur
+TEST AVEC LES POUR VOIR SI PB CORRIGE AVEC WRF3
+  .... rsl_lite ne compile pas avec l'option -fast
+  .... OK avec nofast_nemesis version compilee de mpich2
+TEST avec le vieux mpich2... CRASH aussi entre la sortie 9 et 10
+
+memes erreurs avec RSL_LITE de WRF3
+alors qu il compile sans souci chez LES
+.... un probleme d'options de compilations ????
+.... pendre direct la librairie compilee chez WRF3 ???
+LES: run OK
+juste des NaN a la toute fin...
+
+peut etre faut il regler dans WRFV2 les warnings relies a la compilation de rsl_lite
+------- il y a probablement des choses a corriger
+------- coupler avec gcc [-CC=gcc] comme dans LES ????
+.... mais lorsqu on utilise le vieux mpi compile avec pgf7 pas de warnings !
+
+
+...le debugger voir une floating exception sur lwtt dans la boucle avec kdlon
+...avec les options debug le modele semble aller loin OK --> a verifier??
+...les warnins a la compilation ont ils de l importance ?
+...le fait que netcdf4 ne soit pas supporte ???
+...longue compil sur module_domain....
+
+...des pistes ici
+http://www.mmm.ucar.edu/wrf/users/wrfv3/known-prob-3.0.1.html
+
+fonctionne avec le vieux mpi dans pgf2011 [et netcdf4]
+mais les jobs ne sont pas a 100% sur les procs
+probleme donc... c est tres lent
+
+test basique avec WRFV2.2.1 et le cas em_quarter_ss et mpipgf
+memes resultats avec un proc ou plusieurs
+pas de crash
 
 