Index: trunk/DOC/000-MODELS
===================================================================
--- trunk/DOC/000-MODELS	(revision 354)
+++ trunk/DOC/000-MODELS	(revision 355)
@@ -49,4 +49,7 @@
 svn update LMDZ.GENERIC
 
+---------> PLOT utilities
+svn update UTIL
+
 ---------> NOTE THAT SUBSEQUENT USE OF 'svn update' or 'svn log' or 'svn commit' ... WILL ONLY ACT ON FOLDERS YOU GOT.
 
@@ -74,4 +77,6 @@
 LMDZ.VENUS    venus physics 			 + links to the common dynamical core [LMDZ.COMMON needed]
 MESOSCALE     martian mesoscale modeling system  + (for new martian physics) links to martian physics [LMDZ.MARS needed]
+MESOSCALE_DEV martian mesoscale modeling system [directory for developers only]
+UTIL          common utilities for plotting purposes
 
 **********************************************
@@ -97,2 +102,3 @@
 AS -- 25/05/2011 - 08/06/2011
 SL -- 24/06/2011
+AS -- 07/11/2011
Index: trunk/MESOSCALE_DEV/BENCH
===================================================================
--- trunk/MESOSCALE_DEV/BENCH	(revision 354)
+++ trunk/MESOSCALE_DEV/BENCH	(revision 355)
@@ -115,5 +115,4 @@
 Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.29685 elapsed seconds.
 
-
 **** FERME UPMC [gnome iDataPlex] + IFORT
 *****************************************
@@ -146,4 +145,48 @@
 Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.69579 elapsed seconds.
 
+**** PENN [nouvelle ferme de calcul] + IFORT [SINGLE PROC avec netcdf gfortran]
+*******************************************************************************
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.01410 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00410 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.85280 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.58400 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.73700 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.53530 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.74670 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.55410 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.74380 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.53040 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.73200 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.52310 elapsed seconds.
+**** avec libraires NETCDF compilees avec ifort par Ehouarn
+***********************************************************
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.01240 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00330 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.76390 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.54920 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.75020 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.54490 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.75930 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.56080 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.76490 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.55860 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.77670 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.54820 elapsed seconds.
+
+**** ULRICH [poweredge aymeric local] + executable ci-dessus
+************************************************************
+Timing for Writing wrfout_d01_2024-01-17_03:00:00 for domain        1:    0.01220 elapsed seconds.
+Timing for processing lateral boundary for domain        1:    0.00290 elapsed seconds.
+Timing for main: time 2024-01-17_03:00:50 on domain   1:    0.69490 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:00 on domain   1:    0.48290 elapsed seconds.
+Timing for main: time 2024-01-17_03:01:50 on domain   1:    0.67980 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:00 on domain   1:    0.48270 elapsed seconds.
+Timing for main: time 2024-01-17_03:02:50 on domain   1:    0.67950 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:00 on domain   1:    0.48260 elapsed seconds.
+Timing for main: time 2024-01-17_03:03:50 on domain   1:    0.67960 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:00 on domain   1:    0.48270 elapsed seconds.
+Timing for main: time 2024-01-17_03:04:50 on domain   1:    0.67960 elapsed seconds.
+Timing for main: time 2024-01-17_03:05:00 on domain   1:    0.50120 elapsed seconds.
+
 **** ULRICH [poweredge aymeric local] + PGF90 [PGF single proc]
 ***************************************************************
Index: trunk/UTIL/PYTHON/api.F90
===================================================================
--- trunk/UTIL/PYTHON/api.F90	(revision 354)
+++ trunk/UTIL/PYTHON/api.F90	(revision 355)
@@ -1,1 +1,1 @@
-link ../../../../MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90
+link ../../MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90