Index: /trunk/UTIL/PYTHON/gcm.py
===================================================================
--- /trunk/UTIL/PYTHON/gcm.py	(revision 362)
+++ /trunk/UTIL/PYTHON/gcm.py	(revision 363)
@@ -56,4 +56,6 @@
     parser.add_option('--Mope',         action='store',dest='vmaxope', type="float",   default=0.,  help='bounding maximum value for inter-file operation')
     parser.add_option('--titleref',     action='store',dest='titref',  type="string",  default="fill",  help='title for the reference file. Default: title of figure (1)')
+    parser.add_option('--inverty',      action='store_true',dest='inverty',             default=False, help='Force matplotlib.pyplot to revert the y-axis. Can be of use when plotting data along pressure levels. (pyplot naturally tend to plot the z-axis with increasing values)')
+   
 
     ############# T.N. changes
@@ -211,5 +213,6 @@
                 slon=zeslon,slat=zeslat,svert=zesvert,stime=zestime,\
                 outputname=opt.output,resolution=opt.res,\
-                ope=opt.operation,fileref=reffile,minop=opt.vminope,maxop=opt.vmaxope,titleref=opt.titref)
+                ope=opt.operation,fileref=reffile,minop=opt.vminope,maxop=opt.vmaxope,titleref=opt.titref,\
+                invert_y=opt.inverty)
         print 'Done: '+name
         system("rm -f to_be_erased")
Index: /trunk/UTIL/PYTHON/meso.py
===================================================================
--- /trunk/UTIL/PYTHON/meso.py	(revision 362)
+++ /trunk/UTIL/PYTHON/meso.py	(revision 363)
@@ -45,4 +45,5 @@
     parser.add_option('--mult',         action='store',dest='mult',      type="float",   default=1.,    help='a multiplicative factor to plotted field')
     parser.add_option('--title',        action='store',dest='zetitle',   type="string",  default="fill",help='customize the whole title')
+    parser.add_option('--inverty',      action='store_true',dest='inverty',             default=False, help='Force matplotlib.pyplot to revert the y-axis. Can be of use when plotting data along pressure levels. (pyplot naturally tend to plot the z-axis with increasing values)')
     #parser.add_option('-V', action='store', dest='comb',        type="float",   default=None,  help='a defined combination of variables')
 
@@ -156,5 +157,5 @@
                 mult=opt.mult,zetitle=opt.zetitle,\
                 slon=zeslon,slat=zeslat,svert=zesvert,stime=zestime,\
-                outputname=opt.output,resolution=opt.res)
+                outputname=opt.output,resolution=opt.res,invert_y=opt.inverty)
         print 'Done: '+name
         system("rm -f to_be_erased")
Index: /trunk/UTIL/PYTHON/myplot.py
===================================================================
--- /trunk/UTIL/PYTHON/myplot.py	(revision 362)
+++ /trunk/UTIL/PYTHON/myplot.py	(revision 363)
@@ -558,4 +558,7 @@
     fmtvar    =     { \
              "tk":           "%.0f",\
+             "T_NADIR_DAY":  "%.0f",\
+             "T_nadir_nit":  "%.0f",\
+             "T_nadir_day":  "%.0f",\
              "tpot":         "%.0f",\
              "TSURF":        "%.0f",\
@@ -599,4 +602,6 @@
              "QH2O":         "PuBu",\
              "USTM":         "YlOrRd",\
+             #"T_nadir_nit":  "RdBu_r",\
+             #"T_nadir_day":  "RdBu_r",\
              "HFX":          "RdYlBu",\
              "ICETOT":       "YlGnBu_r",\
Index: /trunk/UTIL/PYTHON/planetoplot.py
===================================================================
--- /trunk/UTIL/PYTHON/planetoplot.py	(revision 362)
+++ /trunk/UTIL/PYTHON/planetoplot.py	(revision 363)
@@ -44,5 +44,6 @@
            minop=0.,\
            maxop=0.,\
-           titleref="fill"):
+           titleref="fill",\
+           invert_y=False):
 
 
@@ -58,4 +59,5 @@
                        getname,localtime,polarinterv,getsindex,define_axis,determineplot
     from mymath import deg,max,min,mean
+    import matplotlib as mpl
     from matplotlib.pyplot import contour,contourf, subplot, figure, rcParams, savefig, colorbar, pcolor, show, plot, clabel
     from matplotlib.cm import get_cmap
@@ -112,5 +114,7 @@
           lat = nc.variables["latitude"][:] 
           lon = nc.variables["longitude"][:]
-          time = nc.variables["Time"][:]
+          time = nc.variables["time"][:]
+#          if errorTime is True:
+#             time = nc.variables["time"][:]
           vert = nc.variables["altitude"][:]
       elif typefile in ['meso','mesoapi']:
@@ -276,5 +280,4 @@
            what_I_plot, error = reducefield(all_var[index_f], d4=indextime, d1=indexlon, d2=indexlat , d3=indexvert )
            what_I_plot = what_I_plot*mult
-
            if not error: 
                fvar = var
@@ -304,5 +307,10 @@
                      zelevels = np.linspace(zevmin,zevmax)#,num=ndiv+1)
                      #contourf(what_I_plot, zelevels, cmap = palette )
+
                      contourf( x, y, what_I_plot, zelevels, cmap = palette )
+                     if invert_y:
+                        lima,limb = mpl.pyplot.ylim()
+                        mpl.pyplot.ylim(limb,lima)
+
                  else:
                      if hole:  what_I_plot = nolow(what_I_plot)
Index: /trunk/UTIL/PYTHON/zrecast_wrapper.py
===================================================================
--- /trunk/UTIL/PYTHON/zrecast_wrapper.py	(revision 362)
+++ /trunk/UTIL/PYTHON/zrecast_wrapper.py	(revision 363)
@@ -20,19 +20,23 @@
         system("echo >> zrecast.auto.def")
         if interp_mode == 4:
+             append="_S"
              system("echo 3 >> zrecast.auto.def")
              system("echo yes >> zrecast.auto.def")
              system("echo 0 150000 >> zrecast.auto.def")
         elif interp_mode == 2:
+             append="_P"
              system("echo 1 >> zrecast.auto.def")
              system("echo yes >> zrecast.auto.def")
              system("echo 0.0001 6. >> zrecast.auto.def")  #I put that randomly! (a.c.)
+             system("echo 32 >> zrecast.auto.def")
         else:
              print "zrecast interp option unsupported for now. Exiting."
              exit()
         system("zrecast.e < zrecast.auto.def")
+
         if indicefile is 0:
-              outputfilename=input_name[indicefile][0:len(input_name[0])-3]+"_S.nc"
+              outputfilename=input_name[indicefile][0:len(input_name[0])-3]+append+".nc"
         else:
-              outputfilename=outputfilename+","+input_name[indicefile][0:len(input_name[0])-3]+"_S.nc"
+              outputfilename=outputfilename+","+input_name[indicefile][0:len(input_name[0])-3]+append+".nc"
         indicefile = indicefile +1
 