Index: /trunk/UTIL/PYTHON/gcm.py
===================================================================
--- /trunk/UTIL/PYTHON/gcm.py	(revision 368)
+++ /trunk/UTIL/PYTHON/gcm.py	(revision 369)
@@ -56,4 +56,8 @@
     parser.add_option('--Mope',         action='store',dest='vmaxope', type="float",   default=0.,  help='bounding maximum value for inter-file operation')
     parser.add_option('--titleref',     action='store',dest='titref',  type="string",  default="fill",  help='title for the reference file. Default: title of figure (1)')
+    parser.add_option('--xmax',         action='store',dest='xmax',    type="float",   default=None,    help='Maximum value for the y-axis in contour-plots. Default is max(xaxis).')                                                                                                                                   
+    parser.add_option('--ymax',         action='store',dest='ymax',    type="float",   default=None,    help='Maximum value for the y-axis in contour-plots Default is max(yaxis)')
+    parser.add_option('--xmin',         action='store',dest='xmin',    type="float",   default=None,    help='Minimum value for the y-axis in contour-plots. Default is min(xaxis).')
+    parser.add_option('--ymin',         action='store',dest='ymin',    type="float",   default=None,    help='Minimum value for the y-axis in contour-plots Default is min(yaxis)')
     parser.add_option('--inverty',      action='store_true',dest='inverty',             default=False, help='Force matplotlib.pyplot to revert the y-axis. Can be of use when plotting data along pressure levels. (pyplot naturally tend to plot the z-axis with increasing values)')
    
@@ -200,4 +204,8 @@
         else:
            reffile=opt.fref
+# Divers ####################################################
+    
+        zexaxis=[opt.xmin,opt.xmax]
+        zeyaxis=[opt.ymin,opt.ymax]
 
         #############
@@ -214,5 +222,5 @@
                 outputname=opt.output,resolution=opt.res,\
                 ope=opt.operation,fileref=reffile,minop=opt.vminope,maxop=opt.vmaxope,titleref=opt.titref,\
-                invert_y=opt.inverty)
+                invert_y=opt.inverty,xaxis=zexaxis,yaxis=zeyaxis)
         print 'Done: '+name
         system("rm -f to_be_erased")
Index: /trunk/UTIL/PYTHON/meso.py
===================================================================
--- /trunk/UTIL/PYTHON/meso.py	(revision 368)
+++ /trunk/UTIL/PYTHON/meso.py	(revision 369)
@@ -46,4 +46,8 @@
     parser.add_option('--title',        action='store',dest='zetitle',   type="string",  default="fill",help='customize the whole title')
     parser.add_option('--inverty',      action='store_true',dest='inverty',             default=False, help='Force matplotlib.pyplot to revert the y-axis. Can be of use when plotting data along pressure levels. (pyplot naturally tend to plot the z-axis with increasing values)')
+    parser.add_option('--xmax',         action='store',dest='xmax',    type="float",   default=None,    help='Maximum value for the y-axis in contour-plots. Default is max(xaxis).')
+    parser.add_option('--ymax',         action='store',dest='ymax',    type="float",   default=None,    help='Maximum value for the y-axis in contour-plots Default is max(yaxis)')
+    parser.add_option('--xmin',         action='store',dest='xmin',    type="float",   default=None,    help='Minimum value for the y-axis in contour-plots. Default is min(xaxis).')
+    parser.add_option('--ymin',         action='store',dest='ymin',    type="float",   default=None,    help='Minimum value for the y-axis in contour-plots Default is min(yaxis)')
     #parser.add_option('-V', action='store', dest='comb',        type="float",   default=None,  help='a defined combination of variables')
 
@@ -146,4 +150,10 @@
                 if vmaxtab[jjj] != -999999:  zevmax = vmaxtab[jjj] 
                 else:                        zevmax = None
+
+
+        zexaxis=[opt.xmin,opt.xmax]
+        zeyaxis=[opt.ymin,opt.ymax]
+
+
             #############
             ### Main call
@@ -157,5 +167,6 @@
                 mult=opt.mult,zetitle=opt.zetitle,\
                 slon=zeslon,slat=zeslat,svert=zesvert,stime=zestime,\
-                outputname=opt.output,resolution=opt.res,invert_y=opt.inverty)
+                outputname=opt.output,resolution=opt.res,\
+                invert_y=opt.inverty,xaxis=zexaxis,yaxis=zeyaxis)
         print 'Done: '+name
         system("rm -f to_be_erased")
Index: /trunk/UTIL/PYTHON/planetoplot.py
===================================================================
--- /trunk/UTIL/PYTHON/planetoplot.py	(revision 368)
+++ /trunk/UTIL/PYTHON/planetoplot.py	(revision 369)
@@ -45,5 +45,7 @@
            maxop=0.,\
            titleref="fill",\
-           invert_y=False):
+           invert_y=False,\
+           xaxis=[None,None],\
+           yaxis=[None,None]):
 
 
@@ -312,5 +314,17 @@
                      #contourf(what_I_plot, zelevels, cmap = palette )
 
-                     contourf( x, y, what_I_plot, zelevels, cmap = palette )
+                     contourf( x, y, what_I_plot, zelevels, cmap = palette)
+
+                     zxmin, zxmax = xaxis
+                     zymin, zymax = yaxis
+                     if zxmin is not None:
+                        mpl.pyplot.xlim(xmin=zxmin)
+                     if zxmax is not None:
+                        mpl.pyplot.xlim(xmax=zxmax)
+                     if zymin is not None:
+                        mpl.pyplot.ylim(ymin=zymin)
+                     if zymax is not None:
+                        mpl.pyplot.ylim(ymax=zymax)
+
                      if invert_y:
                         lima,limb = mpl.pyplot.ylim()