Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 389)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 390)
@@ -624,4 +624,8 @@
         if [[ ${compilo} -eq 3 ]]
         then
+                ulimit -s unlimited
+        fi
+        if [[ ${compilo} -eq 3 ]]
+        then
 		rm -rf ${simu_folder}/rsl.* 2> /dev/null
 #                ${WHERE_MPI}/mpirun -host smith -np ${numproc} wrf.exe < /dev/null &
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 389)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 390)
@@ -83,8 +83,4 @@
 #### --- please indicate #SAVEMARS2 for 2D fields and #SAVEMARS3 for 3D fields
 ####
-#### !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!!
-####         THIS HAS TO BE CONSISTENT WITH $MMM/SRC/WRFV2/Registry/Registry.EM
-#### !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!!
-####
 ############ name in WRF !!!!! ############# name in NETCDF !!!! ############################################## name in meso_physiq !!!!!
 state  real  TSURF     ij   misc  1  -  rhd  "TSURF"     "SURF TEMPERATURE"                "K"       #SAVEMARS2 tsurf
@@ -206,6 +202,8 @@
 #### variables dans real
 ####
+
 state  real   albedo_gcm_gc   ij   dyn_em  1  -  i1  "ALBEDO_GCM"       "albedo of naked ground"  "0 - 1 fraction"
 state  real   therm_inert_gc  ij   dyn_em  1  -  i1  "THERMAL_INERTIA"  "thermal inertia"         "J/m2/K/s0.5"
+state  real   z0_gc           ij   dyn_em  1  -  i1  "SURF_ROUGHNESS"   "surface roughness"       "cm"
 state  real   slpx_gc         ij   dyn_em  1  -  i1  "SLPX"             "slope x direction"       "rad"
 state  real   slpy_gc         ij   dyn_em  1  -  i1  "SLPY"             "slope y direction"       "rad"
@@ -220,4 +218,5 @@
 state  real   albedo_gcm      ij   misc  1  -  i012rd  "MARS_ALB"    "albedo of naked ground"  "0 - 1 fraction"
 state  real   therm_inert     ij   misc  1  -  i012rd  "MARS_TI"     "thermal inertia"         "J/m2/K/s0.5"
+state  real   mars_z0         ij   misc  1  -  i012rd  "MARS_Z0"     "surface roughness"       "m"
 state  real   slpx            ij   misc  1  -  i012rd  "SLOPEX"      "slope x direction"       "rad"
 state  real   slpy            ij   misc  1  -  i012rd  "SLOPEY"      "slope y direction"       "rad"
@@ -1252,4 +1251,5 @@
 rconfig  real     init_TI   namelist,physics  max_domains  0        irh  "init_TI"   "thermal inertia"         ""
 rconfig  real     init_AL   namelist,physics  max_domains  0        irh  "init_AL"   "albedo"                  ""
+rconfig  real     init_Z0   namelist,physics  max_domains  0        irh  "init_Z0"   "surface roughness"       ""
 rconfig  real     init_U    namelist,physics  max_domains  0        irh  "init_U"    "zonal wind"              ""
 rconfig  real     init_V    namelist,physics  max_domains  0        irh  "init_V"    "meridional wind"         ""
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F	(revision 389)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F	(revision 390)
@@ -625,4 +625,6 @@
      &        ,MARS_ISOIL=grid%mars_isoil       &
      &        ,MARS_DSOIL=grid%mars_dsoil       &
+     &        ,MARS_Z0=grid%mars_z0             &
+     &        ,CST_Z0=config_flags%init_Z0      &
 #endif
      &        ,MARS_GW=grid%mars_gw                                       &
Index: /trunk/MESOSCALE/LMD_MM_MARS/WPS_GEOG/res/thermal_TES/index
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/WPS_GEOG/res/thermal_TES/index	(revision 389)
+++ /trunk/MESOSCALE/LMD_MM_MARS/WPS_GEOG/res/thermal_TES/index	(revision 390)
@@ -7,5 +7,5 @@
 known_y = 1.
 known_lat = -90.
-known_lon = -179.7
+known_lon = -180.
 wordsize=2
 tile_x=3600
Index: /trunk/MESOSCALE/LMD_MM_MARS/makemeso
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 389)
+++ /trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 390)
@@ -360,6 +360,9 @@
             sed s+"mpicc -cc=\$(SCC)"+"/usr/lib64/openmpi/1.4.3-pgfgcc/bin/mpicc -DMPI2_SUPPORT"+g       configure.wrf > yeah ; mv -f yeah configure.wrf
                        else
-            sed s+"mpif90"+"$WHERE_MPI/mpif90"+g                 configure.wrf > yeah ; mv -f yeah configure.wrf
-            sed s+"mpicc"+"$WHERE_MPI/mpicc -DMPI2_SUPPORT"+g    configure.wrf > yeah ; mv -f yeah configure.wrf
+            #sed s+"mpif90"+"$WHERE_MPI/mpif90"+g                 configure.wrf > yeah ; mv -f yeah configure.wrf
+            #sed s+"mpicc"+"$WHERE_MPI/mpicc -DMPI2_SUPPORT"+g    configure.wrf > yeah ; mv -f yeah configure.wrf
+            #### OPENMPI
+            sed s+"mpif90 -f90=\$(SFC)"+"$WHERE_MPI/mpif90"+g                 configure.wrf > yeah ; mv -f yeah configure.wrf
+            sed s+"mpicc -cc=\$(SCC)"+"$WHERE_MPI/mpicc -DMPI2_SUPPORT"+g    configure.wrf > yeah ; mv -f yeah configure.wrf
                        fi
                        sed s+"-fastsse"+" "+g                               configure.wrf > yeah ; mv -f yeah configure.wrf