Index: trunk/UTIL/PYTHON/mymath.py
===================================================================
--- trunk/UTIL/PYTHON/mymath.py	(revision 397)
+++ trunk/UTIL/PYTHON/mymath.py	(revision 398)
@@ -2,4 +2,9 @@
         import numpy as np
         if field is None: return None
+        if type(field).__name__=='MaskedArray':
+              field.set_fill_value(np.NaN)
+              return np.ma.array(field).min(axis=axis)
+        elif (np.isnan(np.sum(field)) and (type(field).__name__ not in 'MaskedArray')):
+              return np.ma.masked_invalid(field).min(axis=axis)
         else: return np.array(field).min(axis=axis)
 
@@ -7,4 +12,9 @@
         import numpy as np
         if field is None: return None
+        if type(field).__name__=='MaskedArray':
+              field.set_fill_value(np.NaN)
+              return np.ma.array(field).max(axis=axis)
+        elif (np.isnan(np.sum(field)) and (type(field).__name__ not in 'MaskedArray')):
+              return np.ma.masked_invalid(field).max(axis=axis) 
         else: return np.array(field).max(axis=axis)
 
@@ -16,6 +26,9 @@
               field.set_fill_value(np.NaN)
               zout=np.ma.array(field).mean(axis=axis)
-#              np.ma.masked_invalid(zout)
               zout.set_fill_value(np.NaN)
+              return zout.filled()
+           elif (np.isnan(np.sum(field)) and (type(field).__name__ not in 'MaskedArray')):
+              zout=np.ma.masked_invalid(field).mean(axis=axis)
+              zout.set_fill_value([np.NaN])
               return zout.filled()
            else: 
Index: trunk/UTIL/PYTHON/myplot.py
===================================================================
--- trunk/UTIL/PYTHON/myplot.py	(revision 397)
+++ trunk/UTIL/PYTHON/myplot.py	(revision 398)
@@ -488,8 +488,10 @@
     meanlat = 0.5*(wlat[0]+wlat[1])
     if blat is None:
+        ortholat=meanlat
         if   wlat[0] >= 80.:   blat =  40. 
         elif wlat[1] <= -80.:  blat = -40.
         elif wlat[1] >= 0.:    blat = wlat[0] 
         elif wlat[0] <= 0.:    blat = wlat[1]
+    else:  ortholat=blat
     #print "blat ", blat
     h = 50.  ## en km
@@ -498,5 +500,5 @@
                               llcrnrlat=wlat[0],urcrnrlat=wlat[1],llcrnrlon=wlon[0],urcrnrlon=wlon[1])
     elif char == "moll":    m = Basemap(rsphere=radius,projection='moll',lon_0=meanlon)
-    elif char == "ortho":   m = Basemap(rsphere=radius,projection='ortho',lon_0=meanlon,lat_0=meanlat)
+    elif char == "ortho":   m = Basemap(rsphere=radius,projection='ortho',lon_0=meanlon,lat_0=ortholat)
     elif char == "lcc":     m = Basemap(rsphere=radius,projection='lcc',lat_1=meanlat,lat_0=meanlat,lon_0=meanlon,\
                               llcrnrlat=wlat[0],urcrnrlat=wlat[1],llcrnrlon=wlon[0],urcrnrlon=wlon[1])
@@ -605,4 +607,6 @@
              "T_NADIR_DAY":  "%.0f",\
              "T_NADIR_NIT":  "%.0f",\
+             "TEMP_DAY":     "%.0f",\
+             "TEMP_NIGHT":   "%.0f",\
              "tpot":         "%.0f",\
              "TSURF":        "%.0f",\
Index: trunk/UTIL/PYTHON/planetoplot.py
===================================================================
--- trunk/UTIL/PYTHON/planetoplot.py	(revision 397)
+++ trunk/UTIL/PYTHON/planetoplot.py	(revision 398)
@@ -178,5 +178,5 @@
 
       ##### SPECIFIC
-      if varname in ["temp","t","T_nadir_nit","T_nadir_day"] and tsat:
+      if varname in ["temp","t","T_nadir_nit","T_nadir_day","temp_day","temp_night"] and tsat:
           tt=getfield(nc,varname) ; print "computing Tsat-T, I ASSUME Z-AXIS IS PRESSURE"
           if type(tt).__name__=='MaskedArray':  tt.set_fill_value([np.NaN]) ; tinput=tt.filled()
@@ -329,4 +329,5 @@
                   zevmin, zevmax = calculate_bounds(what_I_plot,vmin=vmin,vmax=vmax)
                if colorb in ["def","nobar"]:   palette = get_cmap(name=defcolorb(fvar.upper()))
+               elif (fileref is not None) and (index_f is numplot-1): palette = get_cmap(name="RdBu_r")
                else:                           palette = get_cmap(name=colorb)
                ##### 2D field
@@ -357,5 +358,5 @@
                  if colorb != 'nobar' and varname != 'HGT' :        
                      if (fileref is not None) and (index_f is numplot-1):
-                        colorbar(fraction=0.05,pad=0.03,format="%.2f",\
+                        colorbar(fraction=0.05,pad=0.03,format="%.3f",\
                                            ticks=np.linspace(zevmin,zevmax,num=min([ticks/2+1,20])),\
                                            extend='neither',spacing='proportional')